Skip to main content
PATCH
/
v1
/
webhook-endpoints
/
{id}
Update a webhook endpoint
curl --request PATCH \
  --url https://api.letmepost.dev/v1/webhook-endpoints/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [],
  "active": true,
  "description": "<string>"
}
'
{
  "id": "<string>",
  "url": "<string>",
  "events": [],
  "active": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "lastDeliveryAt": "2023-11-07T05:31:56Z",
  "lastFailureReason": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.letmepost.dev/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Body

application/json

Partial update. At least one field must be present.

url
string<uri>
events
enum<string>[]
Available options:
post.queued,
post.validated,
post.published,
post.rejected,
post.failed,
token.expiring,
token.revoked,
version.deprecated
active
boolean
description
string | null
Maximum string length: 500

Response

Endpoint updated.

id
string
required
url
string<uri>
required
events
enum<string>[]
required
Available options:
post.queued,
post.validated,
post.published,
post.rejected,
post.failed,
token.expiring,
token.revoked,
version.deprecated
active
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string | null
lastDeliveryAt
string<date-time> | null
lastFailureReason
string | null